"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconWind01 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M14 12.0002C14 12.0002 13.2064 11.6872 12.6667 11.5349C9.25314 10.5718 6.74686 13.4286 3.33333 12.4655C2.79361 12.3132 2 12.0002 2 12.0002M14 8.00016C14 8.00016 13.2064 7.68715 12.6667 7.53487C9.25314 6.57176 6.74686 9.42857 3.33333 8.46546C2.79361 8.31317 2 8.00016 2 8.00016M14 4.00016C14 4.00016 13.2064 3.68715 12.6667 3.53487C9.25314 2.57176 6.74686 5.42857 3.33333 4.46546C2.79361 4.31317 2 4.00016 2 4.00016",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconWind01);
const Wind01 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "Wind01", props.className].join(" ")
    }
  );
});
Wind01.displayName = "IconWind01";
exports.default = Wind01;
